<!--The content below is only a placeholder and can be replaced.-->
<div style="text-align:center">
  <h1>
    {{ title }}!
  </h1>
  <img width="300" alt="IoT Logo" src="assets/iot.png">
</div>
<div class="row">
  <div class="col-md-6">
    <h2>Enviar mensaje: </h2>
    <div class="form-group">
      <div class="col">
        <label>Código del dispositivo:</label>
      </div>
      <div class="col-md-8">
        <input [(ngModel)]="codigo" class="form-control"/>
      </div>
    </div>
    <div class="form-group">
      <div class="col">
        <label>Mensaje a enviar:</label>
      </div>
      <div class="col-md-8">
        <input [(ngModel)]="mensaje" class="form-control"/>
      </div>
    </div>
    <div class="form-group">
      <div class="col-md-6">
        <button (click)="enviarMensaje()" class="btn btn-primary">Enviar mensaje</button>
      </div>
    </div>
  </div>

  <div class="col-md-4">
    <h2>Mensajes recibidos: </h2>
    <ol>
      <li *ngFor="let m of messagesList">{{m}}</li>
    </ol>
    {{messagesList}}
  </div>

</div>







